import java.applet.Applet;
import java.applet.AudioClip;
import java.net.URL;
import java.net.MalformedURLException;

public class PlaySound extends Applet
{
    protected String moveFileName;
    protected URL moveSound;
    protected AudioClip moveSoundData = null;

    public void init()
    {
          // Applet parameters
          moveFileName = getParameter("moveFileName");

          // Sound
  	  try 
  	  {
	      moveSound = new URL(getCodeBase(), moveFileName);
  	  }  catch (MalformedURLException e) 
 	  {
	      moveSound = null;
	  };       
	   
	  if (moveSound != null && moveSoundData == null) 
	  {
	      moveSoundData = getAudioClip(moveSound);
	  };

	  System.out.println("PlaySound: init() exited ...");

    };

    public void playMove()
    {
       moveSoundData.play();
    };
}
